Class UmlActivityPin

Declaration :

- C++ : class UmlActivityPin : public UmlBaseActivityPin
- Java : class UmlActivityPin extends UmlBaseActivityPin

Artifact : UmlActivityPin

Operation UmlActivityPin

Declaration :

- Uml : + UmlActivityPin(in id : item_id, in s : string) :
- C++ : public: UmlActivityPin(void * id, const QCString & s) : UmlBaseActivityPin(id, s)
- Java : public UmlActivityPin(long id, String s)

the constructor, do not call it yourself !!!!!!!!!!

All public operations : apply , associatedDiagram , children , childrenVisible , cppSelection , create , create , defined_ , deleteIt , description , direction , effect , getIdentifier , identifier_ , inState , isControlType , isException , isMarked , isStream , isToolRunning , isUnique , isWritable , javaSelection , kind , kind , kind , markedItems , moveAfter , multiplicity , name , ordering , parent , properties , propertyValue , referencedBy , selection , set_AssociatedDiagram , set_childrenVisible , set_CppSelection , set_Description , set_Direction , set_Effect , set_InState , set_IsControlType , set_IsException , set_isMarked , set_IsStream , set_IsUnique , set_JavaSelection , set_Multiplicity , set_Name , set_Ordering , set_PropertyValue , set_Selection , set_Stereotype , set_Type , stereotype , supportFile , type , unload , unload